Get ruleboard finding counts
curl --request GET \
--url https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}/finding_counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}/finding_counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}/finding_counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"ruleName": "<string>",
"open": "<string>",
"total": "<string>",
"fixRate": 123,
"ignoreRate": 123
}
]
}Ruleboards
Get ruleboard finding counts
GET
/
api
/
agent
/
deployments
/
{deploymentId}
/
ruleboards
/
{ruleboardSlug}
/
finding_counts
Get ruleboard finding counts
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Query Parameters
Filters issues relevant since the specified timestamp. Applies to all issue types.
Filters issues created before the specified timestamp. Applies to all issue types.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I